	program chech
c.
c..	to chech code table ALTER --> KOI8 --> ALTER
c.
	integer*1 ascii(512),inchar, otchar
	integer*2 in, ot
        character*1 ichar, ochar
        equivalence (in,inchar,ichar), (ot,otchar,ochar)
c
        open(1, file=' ', form='binary')
        open(2, file=' ', form='binary')
        open(3, file='decm.chr')

        do i=1,512
          read (3,'(i3)') inp
          ASCII(I) = inp
        end do
c
   10   continue
        read(1,end=999) ichar
        otchar = ASCII(in+257)
        write(2) ochar
        go to 10
C
 1000	format(' hex/int: ',z2,'/',i3,1x,a1,' koi8: ',i3,
     *	       ' hex/int: ',z2,'/',i3,1x,a1)
  999   close(1)
        close(2)
        close(3)
        stop
	end
